WaveFile Struct Reference

`#include <SDL_wave.h>`

Collaboration diagram for WaveFile:
[legend]

## Data Fields

WaveChunk | chunk
WaveFormat | format
WaveFact | fact
Sint64 | sampleframes
void * | decoderdata
WaveRiffSizeHint | riffhint
WaveTruncationHint | trunchint
WaveFactChunkHint | facthint

## Detailed Description

Definition at line 130 of file SDL_wave.h.

## Field Documentation

## chunk

WaveChunk WaveFile::chunk

Definition at line 132 of file SDL_wave.h.

Referenced by IMA_ADPCM_Decode(), IMA_ADPCM_Init(), LAW_Decode(), MS_ADPCM_Decode(), MS_ADPCM_Init(), PCM_ConvertSint24ToSint32(), PCM_Decode(), SDL_LoadWAV_RW(), WaveCheckFormat(), WaveLoad(), and WaveReadFormat().

## decoderdata

void* WaveFile::decoderdata

Definition at line 142 of file SDL_wave.h.

Referenced by MS_ADPCM_Decode(), MS_ADPCM_Init(), and SDL_LoadWAV_RW().

## fact

WaveFact WaveFile::fact

Definition at line 134 of file SDL_wave.h.

Referenced by WaveAdjustToFactValue(), WaveCheckFormat(), and WaveLoad().

## facthint

WaveFactChunkHint WaveFile::facthint

Definition at line 146 of file SDL_wave.h.

Referenced by SDL_LoadWAV_RW(), WaveAdjustToFactValue(), WaveCheckFormat(), and WaveLoad().

## format

WaveFormat WaveFile::format

Definition at line 133 of file SDL_wave.h.

Referenced by IMA_ADPCM_CalculateSampleFrames(), IMA_ADPCM_Decode(), IMA_ADPCM_Init(), LAW_Decode(), LAW_Init(), MS_ADPCM_CalculateSampleFrames(), MS_ADPCM_Decode(), MS_ADPCM_Init(), PCM_ConvertSint24ToSint32(), PCM_Decode(), PCM_Init(), WaveCheckFormat(), WaveLoad(), and WaveReadFormat().

## riffhint

WaveRiffSizeHint WaveFile::riffhint

Definition at line 144 of file SDL_wave.h.

Referenced by SDL_LoadWAV_RW(), and WaveLoad().

## sampleframes

Sint64 WaveFile::sampleframes

Definition at line 140 of file SDL_wave.h.

Referenced by IMA_ADPCM_CalculateSampleFrames(), IMA_ADPCM_Decode(), LAW_Decode(), LAW_Init(), MS_ADPCM_CalculateSampleFrames(), MS_ADPCM_Decode(), PCM_ConvertSint24ToSint32(), PCM_Decode(), and PCM_Init().

## trunchint

WaveTruncationHint WaveFile::trunchint

Definition at line 145 of file SDL_wave.h.

Referenced by IMA_ADPCM_CalculateSampleFrames(), IMA_ADPCM_Decode(), LAW_Init(), MS_ADPCM_CalculateSampleFrames(), MS_ADPCM_Decode(), PCM_Init(), SDL_LoadWAV_RW(), and WaveLoad().

The documentation for this struct was generated from the following file:

- src/audio/SDL_wave.h